Subject: /sys/class/power_supply/bq27200-0/capacity changed meaning between 4.1 and 4.4?

From: [email-masked] (Pavel Machek)
Date: Mon, 11 Jan 2016 22:42:47 +0100

Hi!

> >Did /sys/class/power_supply/bq27200-0/capacity change meaning between
> >4.1 and 4.4?

> There was a resent overhaul of this driver and a lot of code is
> vestigial as you have seen. I've been meaning to continue
> cleaning it up, my next step would probably to bring up regmap

Ok, 1wire is probably reasonable approach. But we have an regression
between 4.1 and 4.4, and to debug it is probably by reading code.

I can't prove you caused the regression, but you basically rewrote the
driver, so it should be easier for you to spot the bug.

n900 has this variant:

      	 bq27200: bq27200 at 55 {
	                 compatible = "ti,bq27200";
 			 reg = <0x55>;
 	};

Will you try?

If not, tell me, and I can do it, but it will involve a lot of swaring...

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html